using Avalonia.Controls;
using CheckArticlesForSpam.Models;
using ReactiveUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CheckArticlesForSpam.ViewModels
{
    public class ListArticlesViewModel : ReactiveObject
    {
        UserControl uc;
        User currentUser;
        string userName = "";
        public ListArticlesViewModel()
        {
            userName = currentUser.Username;
        }
        public ListArticlesViewModel(UserControl ArticlesPage)
        {
            uc = ArticlesPage;

        }
        public ListArticlesViewModel(UserControl ArticlesPage, string userName)
        {
            uc = ArticlesPage;
            this.userName = userName;
        }
        public UserControl Uc { get => uc; set => this.RaiseAndSetIfChanged(ref uc, value); }
        public string UserName { get => userName; set => this.RaiseAndSetIfChanged(ref userName, value); }
    }
}
